<?php

// API routes  for bixo_crm_lead
Route::prefix('{guard}/tables')->group(function () {
    Route::get('bixo_crm_lead/form/{element}', 'BixoCrmLeadAPIController@form');
    Route::resource('bixo_crm_lead', 'BixoCrmLeadAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for tables
            Route::prefix('{guard}/tables')->group(function () {
                Route::get('bixo_crm_lead/form/{element}', 'BixoCrmLeadAPIController@form');
                Route::apiResource('bixo_crm_lead', 'BixoCrmLeadAPIController');
            });
            // Public routes for tables
            Route::get('tables/BixoCrmLead', 'BixoCrmLeadPublicController@getBixoCrmLead');
        }
    );
}

