<?php

// web routes  for bixo_crm_lead
Route::prefix('{guard}/tables')->group(function () {
    Route::resource('bixo_crm_lead', 'BixoCrmLeadResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BixoCrmLeadResourceController');
            });
            // Public routes for pages
            Route::get('tables/', 'BixoCrmLeadPublicController@index');
            Route::get('tables/{slug?}', 'BixoCrmLeadPublicController@show');
        }
    );
}

