<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'tables',

    /*
     * Modules.
     */
    'modules'   => ['bixo_crm_lead'],

    
    'bixo_crm_lead'       => [
        'model' => [
            'model'                 => \Bixo\Tables\Models\BixoCrmLead::class,
            'table'                 => 'bixo_crm_leads',
            'presenter'             => \Bixo\Tables\Repositories\Presenter\BixoCrmLeadPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'agent_id',  'team_id',  'listing_id',  'category_id',  'contact_id',  'campaign_id',  'offplan_id',  'leadable_id',  'leadable_type',  'emirate_id',  'location_id',  'sublocation_id',  'property_id',  'lead_type',  'ref',  'ref_source',  'name_title',  'name',  'sex',  'source',  'account',  'email',  'phone',  'mobile',  'title',  'contact_at',  'expiry_at',  'website',  'priority',  'hot',  'finance',  'reminder',  'listing_type',  'customer_type',  'min_price',  'max_price',  'min_area',  'max_area',  'min_bed',  'max_bed',  'description',  'notes',  'status',  'qualify',  'sub_qualify',  'sub_status',  'Nationality',  'Language',  'temp_preferance',  'page_name',  'source_url',  'lng',  'form_name',  'project_name',  'timing',  'client_ip',  'migrated',  'utm_source',  'utm_medium',  'utm_campaign',  'utm_term',  'utm_content',  'sub_source',  'mail_id',  'qualified_id',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'tables/bixo_crm_lead',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Tables',
            'module'    => 'BixoCrmLead',
        ],

    ],
];
