<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for bixo_crm_lead in tables package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  bixo_crm_lead module in tables package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'BixoCrmLead',
    'names'         => 'BixoCrmLeads',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'BixoCrmLeads',
        'sub'   => 'BixoCrmLeads',
        'list'  => 'List of bixo_crm_leads',
        'edit'  => 'Edit bixo_crm_lead',
        'create'    => 'Create new bixo_crm_lead'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Converted','Not Interested','By Mistake','Don''t Call Again','Job Seeker','Off','Busy','Voice Mail','Call Later','No Answer','Incorrect Number','Incomplete Number','Repeated Lead','Open','Closed','Not Specified','New'],
            'qualify'             => ['Yes','No','NA-V1','NA-V2','Open',''],
            'sub_qualify'         => ['Direct','Team',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'agent_id'                   => 'Please enter agent id',
        'team_id'                    => 'Please enter team id',
        'listing_id'                 => 'Please enter listing id',
        'category_id'                => 'Please enter category id',
        'contact_id'                 => 'Please enter contact id',
        'campaign_id'                => 'Please enter campaign id',
        'offplan_id'                 => 'Please enter offplan id',
        'leadable_id'                => 'Please enter leadable id',
        'leadable_type'              => 'Please enter leadable type',
        'emirate_id'                 => 'Please enter emirate id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'lead_type'                  => 'Please enter lead type',
        'ref'                        => 'Please enter ref',
        'ref_source'                 => 'Please enter ref source',
        'name_title'                 => 'Please enter name title',
        'name'                       => 'Please enter name',
        'sex'                        => 'Please enter sex',
        'source'                     => 'Please enter source',
        'account'                    => 'Please enter account',
        'email'                      => 'Please enter email',
        'phone'                      => 'Please enter phone',
        'mobile'                     => 'Please enter mobile',
        'title'                      => 'Please enter title',
        'contact_at'                 => 'Please select contact at',
        'expiry_at'                  => 'Please enter expiry at',
        'website'                    => 'Please enter website',
        'priority'                   => 'Please enter priority',
        'hot'                        => 'Please enter hot',
        'finance'                    => 'Please enter finance',
        'reminder'                   => 'Please select reminder',
        'listing_type'               => 'Please enter listing type',
        'customer_type'              => 'Please enter customer type',
        'min_price'                  => 'Please enter min price',
        'max_price'                  => 'Please enter max price',
        'min_area'                   => 'Please enter min area',
        'max_area'                   => 'Please enter max area',
        'min_bed'                    => 'Please enter min bed',
        'max_bed'                    => 'Please enter max bed',
        'description'                => 'Please enter description',
        'notes'                      => 'Please enter notes',
        'status'                     => 'Please select status',
        'qualify'                    => 'Please select qualify',
        'sub_qualify'                => 'Please select sub qualify',
        'sub_status'                 => 'Please enter sub status',
        'Nationality'                => 'Please enter Nationality',
        'Language'                   => 'Please enter Language',
        'temp_preferance'            => 'Please enter temp preferance',
        'page_name'                  => 'Please enter page name',
        'source_url'                 => 'Please enter source url',
        'lng'                        => 'Please enter lng',
        'form_name'                  => 'Please enter form name',
        'project_name'               => 'Please enter project name',
        'timing'                     => 'Please enter timing',
        'client_ip'                  => 'Please enter client ip',
        'migrated'                   => 'Please enter migrated',
        'utm_source'                 => 'Please enter utm source',
        'utm_medium'                 => 'Please enter utm medium',
        'utm_campaign'               => 'Please enter utm campaign',
        'utm_term'                   => 'Please enter utm term',
        'utm_content'                => 'Please enter utm content',
        'sub_source'                 => 'Please enter sub source',
        'mail_id'                    => 'Please enter mail id',
        'qualified_id'               => 'Please enter qualified id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'agent_id'                   => 'Agent id',
        'team_id'                    => 'Team id',
        'listing_id'                 => 'Listing id',
        'category_id'                => 'Category id',
        'contact_id'                 => 'Contact id',
        'campaign_id'                => 'Campaign id',
        'offplan_id'                 => 'Offplan id',
        'leadable_id'                => 'Leadable id',
        'leadable_type'              => 'Leadable type',
        'emirate_id'                 => 'Emirate id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'lead_type'                  => 'Lead type',
        'ref'                        => 'Ref',
        'ref_source'                 => 'Ref source',
        'name_title'                 => 'Name title',
        'name'                       => 'Name',
        'sex'                        => 'Sex',
        'source'                     => 'Source',
        'account'                    => 'Account',
        'email'                      => 'Email',
        'phone'                      => 'Phone',
        'mobile'                     => 'Mobile',
        'title'                      => 'Title',
        'contact_at'                 => 'Contact at',
        'expiry_at'                  => 'Expiry at',
        'website'                    => 'Website',
        'priority'                   => 'Priority',
        'hot'                        => 'Hot',
        'finance'                    => 'Finance',
        'reminder'                   => 'Reminder',
        'listing_type'               => 'Listing type',
        'customer_type'              => 'Customer type',
        'min_price'                  => 'Min price',
        'max_price'                  => 'Max price',
        'min_area'                   => 'Min area',
        'max_area'                   => 'Max area',
        'min_bed'                    => 'Min bed',
        'max_bed'                    => 'Max bed',
        'description'                => 'Description',
        'notes'                      => 'Notes',
        'status'                     => 'Status',
        'qualify'                    => 'Qualify',
        'sub_qualify'                => 'Sub qualify',
        'sub_status'                 => 'Sub status',
        'Nationality'                => 'Nationality',
        'Language'                   => 'Language',
        'temp_preferance'            => 'Temp preferance',
        'page_name'                  => 'Page name',
        'source_url'                 => 'Source url',
        'lng'                        => 'Lng',
        'form_name'                  => 'Form name',
        'project_name'               => 'Project name',
        'timing'                     => 'Timing',
        'client_ip'                  => 'Client ip',
        'migrated'                   => 'Migrated',
        'utm_source'                 => 'Utm source',
        'utm_medium'                 => 'Utm medium',
        'utm_campaign'               => 'Utm campaign',
        'utm_term'                   => 'Utm term',
        'utm_content'                => 'Utm content',
        'sub_source'                 => 'Sub source',
        'mail_id'                    => 'Mail id',
        'qualified_id'               => 'Qualified id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'agent_id'                   => ['name' => 'Agent id', 'data-column' => 1, 'checked'],
        'team_id'                    => ['name' => 'Team id', 'data-column' => 2, 'checked'],
        'listing_id'                 => ['name' => 'Listing id', 'data-column' => 3, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 4, 'checked'],
        'contact_id'                 => ['name' => 'Contact id', 'data-column' => 5, 'checked'],
        'campaign_id'                => ['name' => 'Campaign id', 'data-column' => 6, 'checked'],
        'offplan_id'                 => ['name' => 'Offplan id', 'data-column' => 7, 'checked'],
        'leadable_id'                => ['name' => 'Leadable id', 'data-column' => 8, 'checked'],
        'leadable_type'              => ['name' => 'Leadable type', 'data-column' => 9, 'checked'],
        'emirate_id'                 => ['name' => 'Emirate id', 'data-column' => 10, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 11, 'checked'],
        'sublocation_id'             => ['name' => 'Sublocation id', 'data-column' => 12, 'checked'],
        'property_id'                => ['name' => 'Property id', 'data-column' => 13, 'checked'],
        'lead_type'                  => ['name' => 'Lead type', 'data-column' => 14, 'checked'],
        'ref'                        => ['name' => 'Ref', 'data-column' => 15, 'checked'],
        'ref_source'                 => ['name' => 'Ref source', 'data-column' => 16, 'checked'],
        'name_title'                 => ['name' => 'Name title', 'data-column' => 17, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 18, 'checked'],
        'sex'                        => ['name' => 'Sex', 'data-column' => 19, 'checked'],
        'source'                     => ['name' => 'Source', 'data-column' => 20, 'checked'],
        'account'                    => ['name' => 'Account', 'data-column' => 21, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 22, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 23, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 24, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 25, 'checked'],
        'contact_at'                 => ['name' => 'Contact at', 'data-column' => 26, 'checked'],
        'expiry_at'                  => ['name' => 'Expiry at', 'data-column' => 27, 'checked'],
        'website'                    => ['name' => 'Website', 'data-column' => 28, 'checked'],
        'priority'                   => ['name' => 'Priority', 'data-column' => 29, 'checked'],
        'hot'                        => ['name' => 'Hot', 'data-column' => 30, 'checked'],
        'finance'                    => ['name' => 'Finance', 'data-column' => 31, 'checked'],
        'reminder'                   => ['name' => 'Reminder', 'data-column' => 32, 'checked'],
        'listing_type'               => ['name' => 'Listing type', 'data-column' => 33, 'checked'],
        'customer_type'              => ['name' => 'Customer type', 'data-column' => 34, 'checked'],
        'min_price'                  => ['name' => 'Min price', 'data-column' => 35, 'checked'],
        'max_price'                  => ['name' => 'Max price', 'data-column' => 36, 'checked'],
        'min_area'                   => ['name' => 'Min area', 'data-column' => 37, 'checked'],
        'max_area'                   => ['name' => 'Max area', 'data-column' => 38, 'checked'],
        'min_bed'                    => ['name' => 'Min bed', 'data-column' => 39, 'checked'],
        'max_bed'                    => ['name' => 'Max bed', 'data-column' => 40, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 41, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 42, 'checked'],
        'qualify'                    => ['name' => 'Qualify', 'data-column' => 43, 'checked'],
        'sub_qualify'                => ['name' => 'Sub qualify', 'data-column' => 44, 'checked'],
        'sub_status'                 => ['name' => 'Sub status', 'data-column' => 45, 'checked'],
        'Nationality'                => ['name' => 'Nationality', 'data-column' => 46, 'checked'],
        'Language'                   => ['name' => 'Language', 'data-column' => 47, 'checked'],
        'temp_preferance'            => ['name' => 'Temp preferance', 'data-column' => 48, 'checked'],
        'page_name'                  => ['name' => 'Page name', 'data-column' => 49, 'checked'],
        'source_url'                 => ['name' => 'Source url', 'data-column' => 50, 'checked'],
        'lng'                        => ['name' => 'Lng', 'data-column' => 51, 'checked'],
        'form_name'                  => ['name' => 'Form name', 'data-column' => 52, 'checked'],
        'project_name'               => ['name' => 'Project name', 'data-column' => 53, 'checked'],
        'timing'                     => ['name' => 'Timing', 'data-column' => 54, 'checked'],
        'client_ip'                  => ['name' => 'Client ip', 'data-column' => 55, 'checked'],
        'migrated'                   => ['name' => 'Migrated', 'data-column' => 56, 'checked'],
        'utm_source'                 => ['name' => 'Utm source', 'data-column' => 57, 'checked'],
        'utm_medium'                 => ['name' => 'Utm medium', 'data-column' => 58, 'checked'],
        'utm_campaign'               => ['name' => 'Utm campaign', 'data-column' => 59, 'checked'],
        'utm_term'                   => ['name' => 'Utm term', 'data-column' => 60, 'checked'],
        'utm_content'                => ['name' => 'Utm content', 'data-column' => 61, 'checked'],
        'sub_source'                 => ['name' => 'Sub source', 'data-column' => 62, 'checked'],
        'mail_id'                    => ['name' => 'Mail id', 'data-column' => 63, 'checked'],
        'qualified_id'               => ['name' => 'Qualified id', 'data-column' => 64, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'BixoCrmLeads',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
